<template>
    <ScrollView>
        <StackLayout class="margin">
            <RadListView 
            for="item in itemList">
                <v-template>
                    <StackLayout orientation="vertical" class="item">
                        <Label
                        :text="item"
                        textWrap="true"
                        :style="{'text-align': 'center'}">
                        </Label>
                    </StackLayout>
                </v-template>
            </RadListView>
            <CheckBox v-model="CheckedProp" @checkedChange="changeValue"  fillColor="#7d00cc" :text="myCheckText" />
            <StackLayout horizontalAlignment="center" orientation="horizontal">
                <Button horizontalAlignment="stretch" @tap="$modal.close(false)" text="Cancelar"/>
                <Button :isEnabled="myCheckedProp" @tap="onAcepted()" text="Ejecutar"/>     
            </StackLayout>
        </StackLayout>
    </ScrollView>
</template>

<script>
import { urlApi } from '../../main';
import axios from 'axios';

export default {
    props:['actividad_id'],
    created(){
        this.obtenerEPS();
    },
    data(){
        return{
            checkedProp: false,
            myCheckedProp: false,
            myCheckText: "Acepta cumplir con el equipo personal de seguridad?",
            itemList: []
        }
    },
    methods: {
        changeValue(checkedProp){
            this.myCheckedProp=checkedProp.value;
        },
        onAcepted(){
            this.$modal.close(true)
        },
        obtenerEPS(){
            axios.get(urlApi+`/api/v1/mtto/mantenimiento/${this.actividad_id}/listado-eps`)
            .then(response=>{
                var items =  response.data.map(( obj ) => { return obj.descripcion; });
                console.log(items);
                
                this.itemList = items;
            })
            .catch(error=>{
                console.log(error);
                
            });
        }
    }
}
</script>

<style scoped>
    .margin{
        margin-bottom: 20;
        margin-top: 20;
        margin-left: 20;
        margin-right: 20;
    }
</style>